Index: src/mainboard/iwill/dk8x/auto.c
===================================================================
--- src/mainboard/iwill/dk8x/auto.c	(revision 3942)
+++ src/mainboard/iwill/dk8x/auto.c	(working copy)
@@ -136,7 +136,7 @@
 	needs_reset = setup_coherent_ht_domain();
 	needs_reset |= ht_setup_chain(PCI_DEV(0, 0x18, 0), 0x80);
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 
@@ -165,7 +165,7 @@
 	print_debug("TOP_MEM: ");
 	print_debug_hex32(msr.hi);
 	print_debug_hex32(msr.lo);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 #if 0
 	ram_check(0x00000000, msr.lo);
Index: src/mainboard/iwill/dk8x/cache_as_ram_auto.c
===================================================================
--- src/mainboard/iwill/dk8x/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/iwill/dk8x/cache_as_ram_auto.c	(working copy)
@@ -245,11 +245,11 @@
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\n");
 
         setup_default_resource_map();
 
-	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
+	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
 #if MEM_TRAIN_SEQ == 1
         set_sysinfo_in_ram(0); // in BSP so could hold all ap until sysinfo is in ram 
@@ -276,7 +276,7 @@
         {
                 msr_t msr;
 	        msr=rdmsr(0xc0010042);
-                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
         }
 
@@ -290,7 +290,7 @@
         {
                 msr_t msr;
                	msr=rdmsr(0xc0010042);
-               	print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n"); 
+               	print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n"); 
 
         }
 #endif
@@ -300,7 +300,7 @@
 
         // fidvid change will issue one LDTSTOP and the HT change will be effective too
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
                 soft_reset_x(sysinfo->sbbusn, sysinfo->sbdn);
         }
 
Index: src/mainboard/bcom/winnetp680/auto.c
===================================================================
--- src/mainboard/bcom/winnetp680/auto.c	(revision 3942)
+++ src/mainboard/bcom/winnetp680/auto.c	(working copy)
@@ -103,25 +103,25 @@
 	uart_init();
 	console_init();
 
-	print_spew("In auto.c:main()\r\n");
+	print_spew("In auto.c:main()\n");
 
 	enable_smbus();
 	smbus_fixup(&ctrl);
 
 	if (bist == 0) {
-		print_debug("doing early_mtrr\r\n");
+		print_debug("doing early_mtrr\n");
 		early_mtrr_init();
 	}
 
 	/* Halt if there was a built-in self test failure. */
 	report_bist_failure(bist);
 
-	print_debug("Enabling mainboard devices\r\n");
+	print_debug("Enabling mainboard devices\n");
 	enable_mainboard_devices();
 
 	ddr_ram_setup(&ctrl);
 
 	/* ram_check(0, 640 * 1024); */
 
-	print_spew("Leaving auto.c:main()\r\n");
+	print_spew("Leaving auto.c:main()\n");
 }
Index: src/mainboard/broadcom/blast/cache_as_ram_auto.c
===================================================================
--- src/mainboard/broadcom/blast/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/broadcom/blast/cache_as_ram_auto.c	(working copy)
@@ -79,9 +79,9 @@
 {
 #define SMBUS_HUB 0x71
 	int ret;
-        print_debug("change_i2c_mux i="); print_debug_hex8(device); print_debug("\r\n");
+        print_debug("change_i2c_mux i="); print_debug_hex8(device); print_debug("\n");
         ret = smbus_send_byte(SMBUS_HUB, device);
-        print_debug("change_i2c_mux ret="); print_debug_hex32(ret); print_debug("\r\n");
+        print_debug("change_i2c_mux ret="); print_debug_hex32(ret); print_debug("\n");
 }
 #endif
 
@@ -211,7 +211,7 @@
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
+	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
         setup_blast_resource_map();
 	
@@ -234,7 +234,7 @@
 	bcm5785_early_setup();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/supermicro/x6dai_g/watchdog.c
===================================================================
--- src/mainboard/supermicro/x6dai_g/watchdog.c	(revision 3942)
+++ src/mainboard/supermicro/x6dai_g/watchdog.c	(working copy)
@@ -37,6 +37,6 @@
 static void disable_watchdogs(void)
 {
 	disable_esb6300_watchdog();
-	print_debug("Watchdogs disabled\r\n");
+	print_debug("Watchdogs disabled\n");
 }
 
Index: src/mainboard/supermicro/x6dai_g/debug.c
===================================================================
--- src/mainboard/supermicro/x6dai_g/debug.c	(revision 3942)
+++ src/mainboard/supermicro/x6dai_g/debug.c	(working copy)
@@ -12,7 +12,7 @@
 	print_debug_hex8(index);
 	print_debug(": 0x");
 	print_debug_hex8(data);
-	print_debug("\r\n");
+	print_debug("\n");
         return;
 }
         
@@ -49,52 +49,52 @@
         int i;
         unsigned char data;
        
-	 print_debug("\r\n*** SERVER I/O REGISTERS ***\r\n");
+	 print_debug("\n*** SERVER I/O REGISTERS ***\n");
         for (i=0x10; i<=0x2d; i++) {
                 print_reg((unsigned char)i);
         }
 #if 0                                                                         
-        print_debug("\r\n*** XBUS REGISTERS ***\r\n");
+        print_debug("\n*** XBUS REGISTERS ***\n");
         setup_func(0x0f);
         for (i=0xf0; i<=0xff; i++) {
                 print_reg((unsigned char)i);
         }
                                                                                 
-        print_debug("\r\n***  SERIAL 1 CONFIG REGISTERS ***\r\n");
+        print_debug("\n***  SERIAL 1 CONFIG REGISTERS ***\n");
         setup_func(0x03);
         print_reg(0xf0);
                                                                                 
-        print_debug("\r\n***  SERIAL 2 CONFIG REGISTERS ***\r\n");
+        print_debug("\n***  SERIAL 2 CONFIG REGISTERS ***\n");
         setup_func(0x02);
         print_reg(0xf0);
 
 #endif
-        print_debug("\r\n***  GPIO REGISTERS ***\r\n");
+        print_debug("\n***  GPIO REGISTERS ***\n");
         setup_func(0x07);
         for (i=0xf0; i<=0xf8; i++) {
                 print_reg((unsigned char)i);
         }
-        print_debug("\r\n***  GPIO VALUES ***\r\n");
+        print_debug("\n***  GPIO VALUES ***\n");
         data = inb(0x68a);
-	print_debug("\r\nGPDO 4: 0x");
+	print_debug("\nGPDO 4: 0x");
 	print_debug_hex8(data);
         data = inb(0x68b);
-	print_debug("\r\nGPDI 4: 0x");
+	print_debug("\nGPDI 4: 0x");
 	print_debug_hex8(data);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 #if 0                                                                                
                                                                                 
-        print_debug("\r\n***  WATCHDOG TIMER REGISTERS ***\r\n");
+        print_debug("\n***  WATCHDOG TIMER REGISTERS ***\n");
         setup_func(0x0a);
         print_reg(0xf0);
                                                                                 
-        print_debug("\r\n***  FAN CONTROL REGISTERS ***\r\n");
+        print_debug("\n***  FAN CONTROL REGISTERS ***\n");
         setup_func(0x09);
         print_reg(0xf0);
         print_reg(0xf1);
 
-        print_debug("\r\n***  RTC REGISTERS ***\r\n");
+        print_debug("\n***  RTC REGISTERS ***\n");
         setup_func(0x10);
         print_reg(0xf0);
         print_reg(0xf1);
@@ -104,7 +104,7 @@
         print_reg(0xfe);
         print_reg(0xff);
                                                                                 
-        print_debug("\r\n***  HEALTH MONITORING & CONTROL REGISTERS ***\r\n");
+        print_debug("\n***  HEALTH MONITORING & CONTROL REGISTERS ***\n");
         setup_func(0x14);
         print_reg(0xf0);
 #endif                                                                           
@@ -135,7 +135,7 @@
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 }
 
@@ -143,7 +143,7 @@
 {
 	int i;
 	print_debug_pci_dev(dev);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 	for(i = 0; i <= 255; i++) {
 		unsigned char val;
@@ -155,7 +155,7 @@
 		print_debug_char(' ');
 		print_debug_hex8(val);
 		if ((i & 0x0f) == 0x0f) {
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -165,7 +165,7 @@
 	int i;
 	unsigned long bar;
 	
-	print_debug("BAR 14 Dump\r\n");
+	print_debug("BAR 14 Dump\n");
 	
 	bar = pci_read_config32(dev, 0x14);
 	for(i = 0; i <= 0x300; i+=4) {
@@ -178,14 +178,14 @@
 		val = pci_read_config8(dev, i);
 #endif		
 		if((i%4)==0) {
-		print_debug("\r\n");
+		print_debug("\n");
 		print_debug_hex16(i);
 		print_debug_char(' ');
 		}
 		print_debug_hex32(read32(bar + i));
 		print_debug_char(' ');
 	}
-	print_debug("\r\n");
+	print_debug("\n");
 }
 
 static void dump_pci_devices(void)
@@ -209,7 +209,7 @@
 static void dump_spd_registers(const struct mem_controller *ctrl)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < 4; i++) {
 		unsigned device;
 		device = ctrl->channel0[i];
@@ -223,20 +223,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 		device = ctrl->channel1[i];
 		if (device) {
@@ -249,20 +249,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -275,14 +275,14 @@
         while(device <= SMBUS_MEM_DEVICE_END) {
                 int status = 0;
                 int i;
-        	print_debug("\r\n");
+        	print_debug("\n");
                 print_debug("dimm ");
 		print_debug_hex8(device);
 		
                 for(i = 0; (i < 256) ; i++) {
 	                unsigned char byte;
                         if ((i % 16) == 0) {
-				print_debug("\r\n");
+				print_debug("\n");
 				print_debug_hex8(i);
 				print_debug(": ");
                         }
@@ -290,7 +290,7 @@
                         if (status < 0) {
 			         print_debug("bad device: ");
 				 print_debug_hex8(-status);
-				 print_debug("\r\n");
+				 print_debug("\n");
 			         break; 
 			}
 			print_debug_hex8(status);
@@ -308,7 +308,7 @@
         while(device <= 0x42) {
                 int status = 0;
                 int i;
-        	print_debug("\r\n");
+        	print_debug("\n");
                 print_debug("ipmi ");
 		print_debug_hex8(device);
 		
@@ -318,7 +318,7 @@
                         if (status < 0) {
 			         print_debug("bad device: ");
 				 print_debug_hex8(-status);
-				 print_debug("\r\n");
+				 print_debug("\n");
 			         break; 
 			}
 			print_debug_hex8(status);
Index: src/mainboard/supermicro/h8dmr/apc_auto.c
===================================================================
--- src/mainboard/supermicro/h8dmr/apc_auto.c	(revision 3942)
+++ src/mainboard/supermicro/h8dmr/apc_auto.c	(working copy)
@@ -93,7 +93,7 @@
 
 	id = get_node_core_id_x();
 
-        print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\r\n");
+        print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\n");
 
 	train_ram(id.nodeid, sysinfo, sysinfox);
 
Index: src/mainboard/supermicro/h8dmr/cache_as_ram_auto.c
===================================================================
--- src/mainboard/supermicro/h8dmr/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/supermicro/h8dmr/cache_as_ram_auto.c	(working copy)
@@ -275,11 +275,11 @@
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\n");
 
         setup_mb_resource_map();
 
-        print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
+        print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
 #if MEM_TRAIN_SEQ == 1
         set_sysinfo_in_ram(0); // in BSP so could hold all ap until sysinfo is in ram
@@ -305,7 +305,7 @@
         {
                 msr_t msr;
                 msr=rdmsr(0xc0010042);
-                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
         }
 
@@ -319,7 +319,7 @@
         {
                 msr_t msr;
                 msr=rdmsr(0xc0010042);
-                print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+                print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
         }
 #endif
@@ -331,7 +331,7 @@
 
         // fidvid change will issue one LDTSTOP and the HT change will be effective too
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
               	soft_reset();
         }
 #endif
Index: src/mainboard/supermicro/x6dhe_g/watchdog.c
===================================================================
--- src/mainboard/supermicro/x6dhe_g/watchdog.c	(revision 3942)
+++ src/mainboard/supermicro/x6dhe_g/watchdog.c	(working copy)
@@ -94,6 +94,6 @@
 //	disable_sio_watchdog(NSC_WD_DEV);
 	disable_esb6300_watchdog();
 //	disable_jarell_frb3();
-	print_debug("Watchdogs disabled\r\n");
+	print_debug("Watchdogs disabled\n");
 }
 
Index: src/mainboard/supermicro/x6dhe_g/debug.c
===================================================================
--- src/mainboard/supermicro/x6dhe_g/debug.c	(revision 3942)
+++ src/mainboard/supermicro/x6dhe_g/debug.c	(working copy)
@@ -12,7 +12,7 @@
 	print_debug_hex8(index);
 	print_debug(": 0x");
 	print_debug_hex8(data);
-	print_debug("\r\n");
+	print_debug("\n");
         return;
 }
         
@@ -49,52 +49,52 @@
         int i;
         unsigned char data;
        
-	 print_debug("\r\n*** SERVER I/O REGISTERS ***\r\n");
+	 print_debug("\n*** SERVER I/O REGISTERS ***\n");
         for (i=0x10; i<=0x2d; i++) {
                 print_reg((unsigned char)i);
         }
 #if 0                                                                         
-        print_debug("\r\n*** XBUS REGISTERS ***\r\n");
+        print_debug("\n*** XBUS REGISTERS ***\n");
         setup_func(0x0f);
         for (i=0xf0; i<=0xff; i++) {
                 print_reg((unsigned char)i);
         }
                                                                                 
-        print_debug("\r\n***  SERIAL 1 CONFIG REGISTERS ***\r\n");
+        print_debug("\n***  SERIAL 1 CONFIG REGISTERS ***\n");
         setup_func(0x03);
         print_reg(0xf0);
                                                                                 
-        print_debug("\r\n***  SERIAL 2 CONFIG REGISTERS ***\r\n");
+        print_debug("\n***  SERIAL 2 CONFIG REGISTERS ***\n");
         setup_func(0x02);
         print_reg(0xf0);
 
 #endif
-        print_debug("\r\n***  GPIO REGISTERS ***\r\n");
+        print_debug("\n***  GPIO REGISTERS ***\n");
         setup_func(0x07);
         for (i=0xf0; i<=0xf8; i++) {
                 print_reg((unsigned char)i);
         }
-        print_debug("\r\n***  GPIO VALUES ***\r\n");
+        print_debug("\n***  GPIO VALUES ***\n");
         data = inb(0x68a);
-	print_debug("\r\nGPDO 4: 0x");
+	print_debug("\nGPDO 4: 0x");
 	print_debug_hex8(data);
         data = inb(0x68b);
-	print_debug("\r\nGPDI 4: 0x");
+	print_debug("\nGPDI 4: 0x");
 	print_debug_hex8(data);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 #if 0                                                                                
                                                                                 
-        print_debug("\r\n***  WATCHDOG TIMER REGISTERS ***\r\n");
+        print_debug("\n***  WATCHDOG TIMER REGISTERS ***\n");
         setup_func(0x0a);
         print_reg(0xf0);
                                                                                 
-        print_debug("\r\n***  FAN CONTROL REGISTERS ***\r\n");
+        print_debug("\n***  FAN CONTROL REGISTERS ***\n");
         setup_func(0x09);
         print_reg(0xf0);
         print_reg(0xf1);
 
-        print_debug("\r\n***  RTC REGISTERS ***\r\n");
+        print_debug("\n***  RTC REGISTERS ***\n");
         setup_func(0x10);
         print_reg(0xf0);
         print_reg(0xf1);
@@ -104,7 +104,7 @@
         print_reg(0xfe);
         print_reg(0xff);
                                                                                 
-        print_debug("\r\n***  HEALTH MONITORING & CONTROL REGISTERS ***\r\n");
+        print_debug("\n***  HEALTH MONITORING & CONTROL REGISTERS ***\n");
         setup_func(0x14);
         print_reg(0xf0);
 #endif                                                                           
@@ -135,7 +135,7 @@
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 }
 
@@ -143,7 +143,7 @@
 {
 	int i;
 	print_debug_pci_dev(dev);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 	for(i = 0; i <= 255; i++) {
 		unsigned char val;
@@ -155,7 +155,7 @@
 		print_debug_char(' ');
 		print_debug_hex8(val);
 		if ((i & 0x0f) == 0x0f) {
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -165,7 +165,7 @@
 	int i;
 	unsigned long bar;
 	
-	print_debug("BAR 14 Dump\r\n");
+	print_debug("BAR 14 Dump\n");
 	
 	bar = pci_read_config32(dev, 0x14);
 	for(i = 0; i <= 0x300; i+=4) {
@@ -178,14 +178,14 @@
 		val = pci_read_config8(dev, i);
 #endif		
 		if((i%4)==0) {
-		print_debug("\r\n");
+		print_debug("\n");
 		print_debug_hex16(i);
 		print_debug_char(' ');
 		}
 		print_debug_hex32(read32(bar + i));
 		print_debug_char(' ');
 	}
-	print_debug("\r\n");
+	print_debug("\n");
 }
 
 static void dump_pci_devices(void)
@@ -209,7 +209,7 @@
 static void dump_spd_registers(const struct mem_controller *ctrl)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < 4; i++) {
 		unsigned device;
 		device = ctrl->channel0[i];
@@ -223,20 +223,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 		device = ctrl->channel1[i];
 		if (device) {
@@ -249,20 +249,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -275,14 +275,14 @@
         while(device <= SMBUS_MEM_DEVICE_END) {
                 int status = 0;
                 int i;
-        	print_debug("\r\n");
+        	print_debug("\n");
                 print_debug("dimm ");
 		print_debug_hex8(device);
 		
                 for(i = 0; (i < 256) ; i++) {
 	                unsigned char byte;
                         if ((i % 16) == 0) {
-				print_debug("\r\n");
+				print_debug("\n");
 				print_debug_hex8(i);
 				print_debug(": ");
                         }
@@ -290,7 +290,7 @@
                         if (status < 0) {
 			         print_debug("bad device: ");
 				 print_debug_hex8(-status);
-				 print_debug("\r\n");
+				 print_debug("\n");
 			         break; 
 			}
 			print_debug_hex8(status);
@@ -308,7 +308,7 @@
         while(device <= 0x42) {
                 int status = 0;
                 int i;
-        	print_debug("\r\n");
+        	print_debug("\n");
                 print_debug("ipmi ");
 		print_debug_hex8(device);
 		
@@ -318,7 +318,7 @@
                         if (status < 0) {
 			         print_debug("bad device: ");
 				 print_debug_hex8(-status);
-				 print_debug("\r\n");
+				 print_debug("\n");
 			         break; 
 			}
 			print_debug_hex8(status);
Index: src/mainboard/supermicro/x6dhe_g2/watchdog.c
===================================================================
--- src/mainboard/supermicro/x6dhe_g2/watchdog.c	(revision 3942)
+++ src/mainboard/supermicro/x6dhe_g2/watchdog.c	(working copy)
@@ -94,6 +94,6 @@
 //	disable_sio_watchdog(NSC_WD_DEV);
 	disable_esb6300_watchdog();
 //	disable_jarell_frb3();
-	print_debug("Watchdogs disabled\r\n");
+	print_debug("Watchdogs disabled\n");
 }
 
Index: src/mainboard/supermicro/x6dhe_g2/debug.c
===================================================================
--- src/mainboard/supermicro/x6dhe_g2/debug.c	(revision 3942)
+++ src/mainboard/supermicro/x6dhe_g2/debug.c	(working copy)
@@ -12,7 +12,7 @@
 	print_debug_hex8(index);
 	print_debug(": 0x");
 	print_debug_hex8(data);
-	print_debug("\r\n");
+	print_debug("\n");
         return;
 }
         
@@ -49,52 +49,52 @@
         int i;
         unsigned char data;
        
-	 print_debug("\r\n*** SERVER I/O REGISTERS ***\r\n");
+	 print_debug("\n*** SERVER I/O REGISTERS ***\n");
         for (i=0x10; i<=0x2d; i++) {
                 print_reg((unsigned char)i);
         }
 #if 0                                                                         
-        print_debug("\r\n*** XBUS REGISTERS ***\r\n");
+        print_debug("\n*** XBUS REGISTERS ***\n");
         setup_func(0x0f);
         for (i=0xf0; i<=0xff; i++) {
                 print_reg((unsigned char)i);
         }
                                                                                 
-        print_debug("\r\n***  SERIAL 1 CONFIG REGISTERS ***\r\n");
+        print_debug("\n***  SERIAL 1 CONFIG REGISTERS ***\n");
         setup_func(0x03);
         print_reg(0xf0);
                                                                                 
-        print_debug("\r\n***  SERIAL 2 CONFIG REGISTERS ***\r\n");
+        print_debug("\n***  SERIAL 2 CONFIG REGISTERS ***\n");
         setup_func(0x02);
         print_reg(0xf0);
 
 #endif
-        print_debug("\r\n***  GPIO REGISTERS ***\r\n");
+        print_debug("\n***  GPIO REGISTERS ***\n");
         setup_func(0x07);
         for (i=0xf0; i<=0xf8; i++) {
                 print_reg((unsigned char)i);
         }
-        print_debug("\r\n***  GPIO VALUES ***\r\n");
+        print_debug("\n***  GPIO VALUES ***\n");
         data = inb(0x68a);
-	print_debug("\r\nGPDO 4: 0x");
+	print_debug("\nGPDO 4: 0x");
 	print_debug_hex8(data);
         data = inb(0x68b);
-	print_debug("\r\nGPDI 4: 0x");
+	print_debug("\nGPDI 4: 0x");
 	print_debug_hex8(data);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 #if 0                                                                                
                                                                                 
-        print_debug("\r\n***  WATCHDOG TIMER REGISTERS ***\r\n");
+        print_debug("\n***  WATCHDOG TIMER REGISTERS ***\n");
         setup_func(0x0a);
         print_reg(0xf0);
                                                                                 
-        print_debug("\r\n***  FAN CONTROL REGISTERS ***\r\n");
+        print_debug("\n***  FAN CONTROL REGISTERS ***\n");
         setup_func(0x09);
         print_reg(0xf0);
         print_reg(0xf1);
 
-        print_debug("\r\n***  RTC REGISTERS ***\r\n");
+        print_debug("\n***  RTC REGISTERS ***\n");
         setup_func(0x10);
         print_reg(0xf0);
         print_reg(0xf1);
@@ -104,7 +104,7 @@
         print_reg(0xfe);
         print_reg(0xff);
                                                                                 
-        print_debug("\r\n***  HEALTH MONITORING & CONTROL REGISTERS ***\r\n");
+        print_debug("\n***  HEALTH MONITORING & CONTROL REGISTERS ***\n");
         setup_func(0x14);
         print_reg(0xf0);
 #endif                                                                           
@@ -135,7 +135,7 @@
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 }
 
@@ -143,7 +143,7 @@
 {
 	int i;
 	print_debug_pci_dev(dev);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 	for(i = 0; i <= 255; i++) {
 		unsigned char val;
@@ -155,7 +155,7 @@
 		print_debug_char(' ');
 		print_debug_hex8(val);
 		if ((i & 0x0f) == 0x0f) {
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -165,7 +165,7 @@
 	int i;
 	unsigned long bar;
 	
-	print_debug("BAR 14 Dump\r\n");
+	print_debug("BAR 14 Dump\n");
 	
 	bar = pci_read_config32(dev, 0x14);
 	for(i = 0; i <= 0x300; i+=4) {
@@ -178,14 +178,14 @@
 		val = pci_read_config8(dev, i);
 #endif		
 		if((i%4)==0) {
-		print_debug("\r\n");
+		print_debug("\n");
 		print_debug_hex16(i);
 		print_debug_char(' ');
 		}
 		print_debug_hex32(read32(bar + i));
 		print_debug_char(' ');
 	}
-	print_debug("\r\n");
+	print_debug("\n");
 }
 
 static void dump_pci_devices(void)
@@ -209,7 +209,7 @@
 static void dump_spd_registers(const struct mem_controller *ctrl)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < 4; i++) {
 		unsigned device;
 		device = ctrl->channel0[i];
@@ -223,20 +223,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 		device = ctrl->channel1[i];
 		if (device) {
@@ -249,20 +249,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -275,14 +275,14 @@
         while(device <= SMBUS_MEM_DEVICE_END) {
                 int status = 0;
                 int i;
-        	print_debug("\r\n");
+        	print_debug("\n");
                 print_debug("dimm ");
 		print_debug_hex8(device);
 		
                 for(i = 0; (i < 256) ; i++) {
 	                unsigned char byte;
                         if ((i % 16) == 0) {
-				print_debug("\r\n");
+				print_debug("\n");
 				print_debug_hex8(i);
 				print_debug(": ");
                         }
@@ -290,7 +290,7 @@
                         if (status < 0) {
 			         print_debug("bad device: ");
 				 print_debug_hex8(-status);
-				 print_debug("\r\n");
+				 print_debug("\n");
 			         break; 
 			}
 			print_debug_hex8(status);
@@ -308,7 +308,7 @@
         while(device <= 0x42) {
                 int status = 0;
                 int i;
-        	print_debug("\r\n");
+        	print_debug("\n");
                 print_debug("ipmi ");
 		print_debug_hex8(device);
 		
@@ -318,7 +318,7 @@
                         if (status < 0) {
 			         print_debug("bad device: ");
 				 print_debug_hex8(-status);
-				 print_debug("\r\n");
+				 print_debug("\n");
 			         break; 
 			}
 			print_debug_hex8(status);
Index: src/mainboard/supermicro/x6dhr_ig/watchdog.c
===================================================================
--- src/mainboard/supermicro/x6dhr_ig/watchdog.c	(revision 3942)
+++ src/mainboard/supermicro/x6dhr_ig/watchdog.c	(working copy)
@@ -94,6 +94,6 @@
 //	disable_sio_watchdog(NSC_WD_DEV);
 	disable_ich5_watchdog();
 //	disable_jarell_frb3();
-	print_debug("Watchdogs disabled\r\n");
+	print_debug("Watchdogs disabled\n");
 }
 
